Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trans
Interface IConfigurationReader

All Known Implementing Classes:
  ConfigurationReader

    public interface IConfigurationReader

The implementation of this interface is in Saxon-PE/EE. It reads a configuration file to construct a Configuration.

Method Summary
`Configuration` | `makeConfiguration(Source source)` Create a Configuration based on the contents of this configuration file

Method Detail

### makeConfiguration

    Configuration makeConfiguration(Source source)
                                    throws XPathException

  Create a Configuration based on the contents of this configuration file

  Parameters:
    `source` - the Source of the configuration file
  Returns:
    the constructed Configuration
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.